Skip to main content
Resource Center/Network Resource/Hardware SDN Controller Operations
PUTHardware SDN Controller OperationsSince 5.4.0SynchronousAuth Required

ChangeSdnController

ChangeSdnController

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The UUID of the SDN controller resource.

Body Fields

  • userNameString

    Optional. New user name for the SDN controller.

  • passwordString

    Optional. The new password for the SDN controller.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

  • vlanRangesListRequired

    No description provided.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • inventorySdnControllerInventoryRequired

    详情参考inventory

    • uuidStringRequired

      The resource UUID.

    • vendorTypeStringRequired

      No description provided.

    • vendorVersionStringRequired

      The vendor version.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • ipStringRequired

      来源IP地址。

    • usernameStringRequired

      用户名。

    • passwordStringRequired

      密码。

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • statusSdnControllerStatusRequired

      See status.

      • ConnectingSdnControllerStatusRequired

        Connecting.

      • ConnectedSdnControllerStatusRequired

        Connected.

      • DisconnectedSdnControllerStatusRequired

        Disconnected.

  • errorErrorCodeRequired

    错误码,若不为null,则表示操作失败,操作成功时该字段为null。 详情参考error

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

Endpoint

PUT/zstack/v1/sdn-controllers/{uuid}/actions

/zstack/v1/sdn-controllers/{uuid}/actions

Operation ID

ChangeSdnController

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/sdn-controllers/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"userName":"<userName>","password":"<password>","systemTags":["<systemTags>"],"userTags":["<userTags>"],"vlanRanges":["<vlanRanges>"]}'

Response Example

200
{ "inventory": { "uuid": "cd65a5af636038bf91f4e404ef9594b1", "vendorType": "H3C-VCFC", "name": "updated-sdn-controller", "description": "Updated SDN controller configuration", "ip": "192.168.1.100", "username": "admin", "password": "newpassword", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } }

Change History

This API has no change history records yet.

View all change history